
Redmine - Defect #23430

I can not access a closed project Issues

2016-07-25 22:09 - Diego Gonzalez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.2.1

Description

Having closed the project and the Issues on it, I can not access them

History

#1 - 2016-07-25 22:40 - Diego Gonzalez

- File ClosedProjectIssues_3.JPG added

- File ClosedProjectIssues_4.JPG added

Diego Gonzalez wrote:

Having closed the project and the Issues on it, I can not access them

 Add information, to have only one project open and information is displayed correctly

#2 - 2016-07-26 03:48 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details. What do you expect?

#3 - 2016-07-26 13:32 - Diego Gonzalez

I have a main project "Closed projects" where I move closed subprojects. I have verified that if they are all closed, the access issues, can not filter

them, I can not see any (image ClosedProjectIssues_2.JPG), however, if there is at least one open if I can see any issue within the closed projects

(image ClosedProjectIssues_4.JPG).

I expect that while suproyectos are closed, I can access all the issues.

Thank you very much

#4 - 2016-07-26 15:44 - Toshi MARUYAMA

I think it is expected behavior. See #12066 and #3640.

#5 - 2016-07-26 15:59 - Jake Kemme

I have replicated this behavior in 3.3 - although I dont think it quite works as intended:

Main Project (open)

Closed Projects (open)

Child 1 (closed)

Child 2 (closed)

Issues for Child 1 and Child 2 are:

visible under Main Project

NOT visible under Closed Projects

visible under each child, respectively

Main Project (open)

Closed Projects (open)

Child 1 (closed)

Child 2 (closed)
Child 3 (open)

Issues for Child 1 and Child 2 are:

visible under Main Project

visible under Closed Projects

visible under each child, respectively

I wouldn't think this is the expected behavior one way, or the other for closed project issue visibility.

#6 - 2016-07-26 16:26 - Toshi MARUYAMA

What do you mean "visible"?

Closed project is for "read-only" (#3640), so there is no "visible" difference (#12066).

#7 - 2016-07-26 18:36 - Jake Kemme

- File notvisible.png added

- File visible.png added

visible pertains to the issues of a closed (read only) project from the perspective of the parent projects.

Issues visible Issues not visible

visible.png notvisible.png 

#8 - 2016-08-23 03:00 - Toshi MARUYAMA

I still cannot reproduce on vanilla Redmine 3.3.0 and I cannot see what you expect.

What plugins do you use?

#9 - 2016-09-15 23:02 - Jake Kemme

Project heirarchy:

Main Project (open project)

Closed Projects (open project)

Child project 1 (closed project)

Issue 1.1 (open issue)

Child project 2 (closed project)

Issue 2.1 (open issue)

Child project 3 (open project)

Issue 3.1 (open issue)

Issues for projects Child 1, 2 and 3 are:

visible under Main Project/Issues

visible under Closed Projects/Issues

visible under each child/Issues, respectively

Now, close Child Project 3 (all sub projects of 'Closed Projects' are now closed)

Main Project (open project)

Closed Projects (open project)

Child project 1 (closed project)

Issue 1.1 (open issue)

Child project 2 (closed project)

Issue 2.1 (open issue)

Child project 3 (closed project)

Issue 3.1 (open issue)

Issues for projects Child 1, 2 and 3 are:

visible under Main Project/Issues

NOT visible under Closed Projects/Issues <-- This is not expected. Open issues of closed sub projects should still display

visible under each child/Issues, respectively

#10 - 2016-09-16 03:57 - Toshi MARUYAMA

- Priority changed from High to Normal

I still cannot reproduce on vanilla Redmine 3.3.0.
#11 - 2016-09-16 15:10 - Jake Kemme

- File closed_issue_view.png added

- File closed_overview.png added

Im not sure where the differences are in our environments. I'll dig into the code to see if I can find a reason.

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    development

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Mercurial                      2.8.2

  Git                            1.9.1

  Filesystem                     

Redmine plugins:

  no plugin installed

 The three issues from the sub projects show up in the overview count in the 'closed projects'

 

But, do not appear in the issues list of 'closed projects'.
closed_issue_view.png 

#12 - 2019-02-03 19:31 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

I'm closing this for now with "Cant reprodoce".

Please reopen if you still experience the issue on the latest Redmine versions.

Files
ClosedProjectIssues_1.JPG 29.7 KB 2016-07-25 Diego Gonzalez

ClosedProjectIssues_2.JPG 28.3 KB 2016-07-25 Diego Gonzalez

ClosedProjectIssues_3.JPG 29.5 KB 2016-07-25 Diego Gonzalez

ClosedProjectIssues_4.JPG 70.9 KB 2016-07-25 Diego Gonzalez

notvisible.png 10.8 KB 2016-07-26 Jake Kemme

visible.png 14.1 KB 2016-07-26 Jake Kemme

closed_issue_view.png 20 KB 2016-09-16 Jake Kemme

closed_overview.png 21.7 KB 2016-09-16 Jake Kemme
